Subject: 27.0.50; Can't see markup in HELLO

From: Stefan Monnier <[email-masked]>
Date: Sun, 23 Dec 2018 17:15:57 -0500

Severity: wishlist
Package: Emacs
Version: 27.0.50

I can't seem to figure out how to conveniently edit the markup.
In modes like image-mode, postscript-mode, doc-view-mode, ..., we can
choose between the "edit source" and "view rendering", but for
enriched-mode buffers, all I find is find-file-literally which not only
makes the markup explicit but also shows me the bytes rather than the
chars, which is not what I want.

I think we should add a way to see (and edit) the markup.
Maybe the corresponding command can be `enriched-mode` (tho currently
that command doesn't do this).
And maybe it can be bound to C-c C-c.

        Stefan

In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2018-12-14 built on pastel
Repository revision: fbae0090fe9595ba1669fdfd5ef88f1ee3172edc
Repository branch: work
Windowing system distributor 'The X.Org Foundation', version 11.0.11902000
System Description: Debian GNU/Linux 9 (stretch)

Recent messages:
Quit

Enriched: decoding document...
Indenting...
View mode: type C-h for help, h for commands, q to quit.
Quit
Auto-saving...
Warning: hide-sublevels is obsolete!
Mark saved where search started
Enriched mode disabled in current buffer